# Categories

### Get the list of categories <a href="#get-the-list-of-categories" id="get-the-list-of-categories"></a>

This endpoint can be used to retrieve the list of all categories.

> Request

```
GET /categories/list
```

> Response

```json
{
  "success": true,
  "result": [
    "english-adjectives",
    "double-emoji"
    // ...
  ]
}
```

### Get the domains of a category <a href="#get-the-domains-of-a-category" id="get-the-domains-of-a-category"></a>

This endpoint can be used to retrieve the list of domains of a category.

> Request

```
GET /categories/list/{category}
```

> Response

```json
{
  "success": true,
  "result": [
    "qatar",
    "uganda"
    // ...
  ]
}
```

### Get categories statistics <a href="#get-categories-statistics" id="get-categories-statistics"></a>

This endpoint returns stats for all the categories.

> Request

```
GET /categories/stats?start_time={start_time}&end_time={end_time}
```

> Response

```json
{
  "success": true,
  "result": [
    {
      "category_name": "0x999-club",
      "min_sale": 7.8846874,
      "max_sale": 80.0,
      "avg_price": 43.94234371185303,
      "volume": 87.88469,
      "owners": 1,
      "supply": 2
    }
    // ...
  ]
}
```

### Get statistics for a category <a href="#get-statistics-for-a-category" id="get-statistics-for-a-category"></a>

This endpoint returns stats for a given category.

> Request

```
GET /categories/stats/{category}?start_time={start_time}&end_time={end_time}
```

> Response

```json
{
  "success": true,
  "result": [
    {
      "min_sale": 7.8846874,
      "max_sale": 80.0,
      "avg_price": 43.94234371185303,
      "volume": 87.88469,
      "owners": 1,
      "supply": 2
    }
  ]
}
```

### Get floors <a href="#get-floors" id="get-floors"></a>

This endpoint returns the current floors for all categories. Floor prices are given in USD value.

> Request

```
GET /categories/floors
```

> Response

```json
{
  "success": true,
  "result": {
    "0x999-club": 21.839999628067016,
    "4-letter-dictionary": 101.39999999999999
    // ...
  }
}
```

### Get floor for a category <a href="#get-floor-for-a-category" id="get-floor-for-a-category"></a>

This endpoint returns the current floor for a given category. Floor prices are given in USD value.

> Request

```
GET /categories/floors/{category}
```

> Response

```json
{
  "success": true,
  "result": 21.839999628067016
}
```

### Get supply <a href="#get-supply" id="get-supply"></a>

This endpoint can be used to retrieve the number of registered and unregistered domains of a category.

> Request

```
GET /categories/supply
```

> Response

```json
{
  "success": true,
  "result": {
    "0x999-club": {
      "total": 1000,
      "registered": 38,
      "unregistered": 962
    }
    // ...
  }
}
```

### Get top categories by volume <a href="#get-top-categories-by-volume" id="get-top-categories-by-volume"></a>

This endpoint returns the top 10 categories by volume between `start_time` and `end_time`.

> Request

```
GET /categories/top?start_time={start_time}&end_time={end_time}
```

> Response

```json
{
  "success": true,
  "result": [
    {
      "category_name": "10k-club",
      "volume": 177737.16
    }
  ]
}
```

### Get owners <a href="#get-owners" id="get-owners"></a>

> Request

This endpoint returns the public keys owning domains for a given category and the number of domains they own.

```
GET /categories/owners/{category}
```

> Response

```json
{
  "success": true,
  "result": [
    {
      "owner_key": "1BWutmTvYPwDtmw9abTkS4Ssr8no61spGAvW1X6NDix",
      "nb_domains": 38
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sns.id/dev/sns-api/categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
